package com.gic.haoban.manage.api.dto.content;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/3/29 9:47 AM
 * @Description
 * @Version
 * 销售线索
 **/
public class PotentialCustomerDTO implements Serializable {

    private static final long serialVersionUID = -8058807467674069679L;

    private Long potentialCustomerId;

    /**
     * 会员昵称
     */
    private String memberName;

    /**
     * 会员头像
     */
    private String memberImageUrl;

    /**
     * 会员id
     */
    private String memberId;

    /**
     * 销售线索-业务id
     */
    private String bizId;
    /**
     * 业务类型 1 素材
     */
    private Integer bizType;

    /**
     * 最后访问时间
     */
    private Date lastAccessTime;

    /**
     * 会员手机号
     */
    private String memberPhone;

    /**
     * 是否导购星标客户
     * 1 是; 0否
     */
    private Integer starFlag;

    /**
     * 导购是否查看
     * 1 已查看 0 未查看;
     */
    private Integer seeFlag;

    /**
     * 销售线索描述
     * 通过XXX访问XXX
     */
    private String desc;

    /**
     * 最近30天访问次数
     */
    private Integer visitNum;

    /**
     * 导购与会员是否有好友
     * 1 是好友; 0不是
     */
    private Integer hasMemberRelation;

    /**
     * 会员全渠道成交
     * 1 有过成交; 0 没有成交
     */
    private Integer dealRecord;

    /**
     * 第几次访问
     */
    private Integer times;

    /**
     * 停留时长 单位秒
     */
    private Integer durationTime;

    public Long getPotentialCustomerId() {
        return potentialCustomerId;
    }

    public void setPotentialCustomerId(Long potentialCustomerId) {
        this.potentialCustomerId = potentialCustomerId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberImageUrl() {
        return memberImageUrl;
    }

    public void setMemberImageUrl(String memberImageUrl) {
        this.memberImageUrl = memberImageUrl;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Date getLastAccessTime() {
        return lastAccessTime;
    }

    public void setLastAccessTime(Date lastAccessTime) {
        this.lastAccessTime = lastAccessTime;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    public Integer getStarFlag() {
        return starFlag;
    }

    public void setStarFlag(Integer starFlag) {
        this.starFlag = starFlag;
    }

    public Integer getSeeFlag() {
        return seeFlag;
    }

    public void setSeeFlag(Integer seeFlag) {
        this.seeFlag = seeFlag;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Integer getVisitNum() {
        return visitNum;
    }

    public void setVisitNum(Integer visitNum) {
        this.visitNum = visitNum;
    }

    public Integer getHasMemberRelation() {
        return hasMemberRelation;
    }

    public void setHasMemberRelation(Integer hasMemberRelation) {
        this.hasMemberRelation = hasMemberRelation;
    }

    public Integer getDealRecord() {
        return dealRecord;
    }

    public void setDealRecord(Integer dealRecord) {
        this.dealRecord = dealRecord;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public Integer getDurationTime() {
        return durationTime;
    }

    public void setDurationTime(Integer durationTime) {
        this.durationTime = durationTime;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }
}
